TrcMemAccCBIF Class Referenceabstract

Interface class to implement memory accessor callbacks. More...

`#include <trc_mem_acc_cb_if.h>`

## Public Member Functions

| TrcMemAccCBIF ()
virtual | ~TrcMemAccCBIF ()
virtual const uint32_t | readBytes (const ocsd_vaddr_t s_address, const ocsd_mem_space_acc_t memSpace, const uint32_t reqBytes, uint8_t *byteBuffer)=0

## Detailed Description

Interface class to implement memory accessor callbacks.

Implement an object with this interface to use in a memory accessor callback type. Callback accesses the memory according to address and memory space. Use for trace decode memory access on live systems, or where the implemented accessor types are not suitable for the memory data being accessed.

Definition at line 50 of file trc_mem_acc_cb_if.h.

## Constructor & Destructor Documentation

## TrcMemAccCBIF()

TrcMemAccCBIF::TrcMemAccCBIF | ( |  | ) |

inline

Definition at line 53 of file trc_mem_acc_cb_if.h.

## ~TrcMemAccCBIF()

virtual TrcMemAccCBIF::~TrcMemAccCBIF | ( |  | ) |

inline virtual

Definition at line 54 of file trc_mem_acc_cb_if.h.

## Member Function Documentation

## readBytes()

virtual const uint32_t TrcMemAccCBIF::readBytes | ( | const ocsd_vaddr_t | s_address,
|  | const ocsd_mem_space_acc_t | memSpace,
|  | const uint32_t | reqBytes,
|  | uint8_t * | byteBuffer
| ) |  |

pure virtual

Read bytes from via the accessor from the memory range.

Parameters

  s_address | : Start address of the read.
  memSpace | : memory space for this access.
  reqBytes | : Number of bytes required.
  *byteBuffer | : Buffer to copy the bytes into.

Returns
  uint32_t : Number of bytes read, 0 if s_address out of range, or mem space not accessible.

The documentation for this class was generated from the following file:

- /build/libopencsd-WqHKQU/libopencsd-0.12.2/decoder/include/mem_acc/trc_mem_acc_cb_if.h